/**
 * 新购到货管理页面 API
 */
import request from '@/utils/request'

/** 新购到货查询 */
export const queryPurchaseArrivalListApi = (data) => {
  return request.get('/purchase/bpm_purchase_info/list', {
    params: data
  })
}

/** 厂家查询 */
export const queryFactoryListApi = (data) => {
  return request.get('/base/maHouse/all', {
    params: data
  })
}

/** 类型规格查询 */
export const queryTypeListApi = (data) => {
  return request.get('/purchase/bpm_purchase_info/cascader', {
    params: data
  })
}

/** 根据value查询单位 */
export const queryMeterByVal = (data) => {
  return request.get(`/purchase/bpm_purchase_info/cascaderById`, {
    params: data
  })
}

/** 新购到货新增 */
export const addArrivalApi = (data) => {
  return request.post('/purchase/bpm_purchase_info/add', data)
}



